Community
cancel
Showing results for 
Search instead for 
Did you mean: 
iworl1
Beginner
515 Views

Error compiling ssd-caffe during make install the NCS

root@kt:~/workspace/ncsdk# make install

./uninstall-opencv.sh

 

make install starting.

./install.sh

--2019-08-01 10:52:42-- https://downloadmirror.intel.com/28192/eng/NCSDK-1.12.01.01.tar.gz

Resolving downloadmirror.intel.com (downloadmirror.intel.com)... 184.85.229.48

Connecting to downloadmirror.intel.com (downloadmirror.intel.com)|184.85.229.48|:443... connected.

HTTP request sent, awaiting response... 200 OK

Length: 966651 (944K) [application/x-gzip]

Saving to: ‘NCSDK-1.12.01.01.tar.gz’

 

NCSDK-1.12.01.01.tar.gz             100%[====================================================================>] 944.00K  745KB/s   in 1.3s   

 

2019-08-01 10:52:44 (745 KB/s) - ‘NCSDK-1.12.01.01.tar.gz’ saved [966651/966651]

 

NCSDK-1.12.01.01/

NCSDK-1.12.01.01/ncsdk-x86_64/

NCSDK-1.12.01.01/ncsdk-x86_64/udev/

NCSDK-1.12.01.01/ncsdk-x86_64/udev/97-usbboot.rules

NCSDK-1.12.01.01/ncsdk-x86_64/api/

NCSDK-1.12.01.01/ncsdk-x86_64/api/c/

NCSDK-1.12.01.01/ncsdk-x86_64/api/c/libmvnc.so.0

NCSDK-1.12.01.01/ncsdk-x86_64/api/setup.py

NCSDK-1.12.01.01/ncsdk-x86_64/api/python/

NCSDK-1.12.01.01/ncsdk-x86_64/api/python/mvnc/

NCSDK-1.12.01.01/ncsdk-x86_64/LICENSE

NCSDK-1.12.01.01/ncsdk-x86_64/tk/

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/FileIO.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/TensorFlowPreproc.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/CaffeParser.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/DataTransforms.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/Args.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/Metrics.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/TensorFlowParser.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/EnumController.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/MiscIO.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Controllers/CaffeEnumController.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/Blob.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/MyriadParam.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/CaffeEnumDeclarations.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/EnumDeclarations.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/Network.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Models/NetworkStage.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/mvNCCompile.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/mvNCProfile.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Views/

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Views/Validate.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Views/Graphs.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/Views/Summary.py

NCSDK-1.12.01.01/ncsdk-x86_64/tk/mvNCCheck.py

NCSDK-1.12.01.01/ncsdk-x86_64/MovidiusLogo.png

NCSDK-1.12.01.01/ncsdk-x86_64/fw/

NCSDK-1.12.01.01/ncsdk-x86_64/fw/MvNCAPI.mvcmd

NCSDK-1.12.01.01/requirements.txt

NCSDK-1.12.01.01/install-ncsdk.sh

NCSDK-1.12.01.01/uninstall-ncsdk.sh

NCSDK-1.12.01.01/ncsdk-armv7l/

NCSDK-1.12.01.01/ncsdk-armv7l/udev/

NCSDK-1.12.01.01/ncsdk-armv7l/udev/97-usbboot.rules

NCSDK-1.12.01.01/ncsdk-armv7l/api/

NCSDK-1.12.01.01/ncsdk-armv7l/api/c/

NCSDK-1.12.01.01/ncsdk-armv7l/api/c/libmvnc.so.0

NCSDK-1.12.01.01/ncsdk-armv7l/api/setup.py

NCSDK-1.12.01.01/ncsdk-armv7l/api/python/

NCSDK-1.12.01.01/ncsdk-armv7l/api/python/mvnc/

NCSDK-1.12.01.01/ncsdk-armv7l/LICENSE

NCSDK-1.12.01.01/ncsdk-armv7l/tk/

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/FileIO.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/TensorFlowPreproc.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/CaffeParser.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/DataTransforms.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/Args.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/Metrics.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/TensorFlowParser.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/EnumController.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/MiscIO.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Controllers/CaffeEnumController.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/Blob.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/MyriadParam.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/CaffeEnumDeclarations.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/EnumDeclarations.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/Network.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Models/NetworkStage.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/mvNCCompile.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/mvNCProfile.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Views/

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Views/Validate.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Views/Graphs.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/Views/Summary.py

NCSDK-1.12.01.01/ncsdk-armv7l/tk/mvNCCheck.py

NCSDK-1.12.01.01/ncsdk-armv7l/MovidiusLogo.png

NCSDK-1.12.01.01/ncsdk-armv7l/fw/

NCSDK-1.12.01.01/ncsdk-armv7l/fw/MvNCAPI.mvcmd

NCSDK-1.12.01.01/version.txt

NCSDK-1.12.01.01/tests/

NCSDK-1.12.01.01/tests/Makefile

NCSDK-1.12.01.01/tests/api-check/

NCSDK-1.12.01.01/tests/api-check/Makefile

NCSDK-1.12.01.01/tests/api-check/ncs-python2-check.py

NCSDK-1.12.01.01/tests/api-check/ncs-python3-check.py

NCSDK-1.12.01.01/tests/api-check/ncs-c-check.c

NCSDK-1.12.01.01/tests/sdk-check/

NCSDK-1.12.01.01/tests/sdk-check/Makefile

NCSDK-1.12.01.01/tests/sdk-check/img/

NCSDK-1.12.01.01/tests/sdk-check/img/512_Phone.jpg

NCSDK-1.12.01.01/tests/sdk-check/data/

NCSDK-1.12.01.01/tests/sdk-check/data/alexnet.prototxt

NCSDK-1.12.01.01/tests/sdk-check/data/googlenet.prototxt

NCSDK-1.12.01.01/tests/sdk-check/data/readme.txt

NCSDK-1.12.01.01/tests/sdk-check/data/squeezenet.prototxt

NCSDK-1.12.01.01/tests/sdk-check/test_install.py

NCSDK-1.12.01.01/ncsdk.conf

NCSDK-1.12.01.01/requirements_apt.txt

Movidius Neural Compute Toolkit Setup.

Checking OS and version...

Installing on Ubuntu 16.04

 

Installer NCSDK version: 1.12.01.01

Creating setup directory...

 

......

In file included from /root/anaconda3/include/google/protobuf/arena.h:48:0,

                from /opt/movidius/ssd-caffe/build/include/caffe/proto/caffe.pb.h:23,

                from /opt/movidius/ssd-caffe/build/include/caffe/proto/caffe.pb.cc:4:

/usr/include/c++/4.8/typeinfo:39:37: error: expected ‘}’ before end of line

 #pragma GCC visibility push(default)

                                    ^

/usr/include/c++/4.8/typeinfo:39:37: error: expected unqualified-id before end of line

/usr/include/c++/4.8/typeinfo:39:37: error: expected ‘}’ before end of line

/usr/include/c++/4.8/typeinfo:39:37: error: expected ‘}’ before end of line

/usr/include/c++/4.8/typeinfo:39:37: error: expected ‘}’ before end of line

/usr/include/c++/4.8/typeinfo:39:37: error: expected declaration before end of line

src/caffe/CMakeFiles/proto.dir/build.make:74: recipe for target 'src/caffe/CMakeFiles/proto.dir/__/__/include/caffe/proto/caffe.pb.cc.o' failed

make[3]: *** [src/caffe/CMakeFiles/proto.dir/__/__/include/caffe/proto/caffe.pb.cc.o] Error 1

make[3]: Leaving directory '/opt/movidius/ssd-caffe/build'

CMakeFiles/Makefile2:272: recipe for target 'src/caffe/CMakeFiles/proto.dir/all' failed

make[2]: *** [src/caffe/CMakeFiles/proto.dir/all] Error 2

make[2]: Leaving directory '/opt/movidius/ssd-caffe/build'

Makefile:129: recipe for target 'all' failed

make[1]: *** [all] Error 2

make[1]: Leaving directory '/opt/movidius/ssd-caffe/build'

Installation failed. Error on line 535

 

Tags (1)
0 Kudos
7 Replies
Sahira_Intel
Moderator
160 Views

Hi,

Can you please share more information about the system you're using?

 

Best Regards,

Sahira

iworl1
Beginner
160 Views

Hi Sahira,​

Linux version 4.18.0-17-generic (buildd@lgw01-amd64-021) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #18~18.04.1-Ubuntu SMP Fri Mar 15 15:27:12 UTC 2019

BRs,

ideallworld​

Sahira_Intel
Moderator
160 Views

Hi,

Do you have Anaconda installed on this system? Are you using Ubuntu 16.04 or 18.04?

 

Sincerely,

Sahira

iworl1
Beginner
160 Views

Hi,​

 

Yes,​I have Anaconda installed on this system for the using of tensorflow.

 

BRs

ideallyworld

Sahira_Intel
Moderator
160 Views

Hi,

Some users report that Anaconda seems to be incompatible with the NCSDK install scripts. But can you please try to upgrade to the latest version of the NCSDK2 and try again: https://github.com/movidius/ncsdk/releases

 

Best Regards,

Sahira

iworl1
Beginner
160 Views

Hi,​

(base) root@kt:~/workspace/ncsdk/ncsdk-2.10.01.01# ls

api      extras        LICENSE   requirements_apt_raspbian.txt uninstall.sh

ATTRIBUTIONS install-opencv.sh   Makefile  requirements_apt.txt      version.txt

docs     install.sh      ncsdk.conf requirements.txt

examples   install-utilities.sh README.md  uninstall-opencv.sh

(base) root@kt:~/workspace/ncsdk/ncsdk-2.10.01.01# make install

./uninstall-opencv.sh

OpenCV uninstall starting

Reading installer configuration variables from ./ncsdk.conf

OpenCV uninstall finished

make install starting.

./install.sh

Movidius Neural Compute Toolkit Installation

Your current combination of Linux distribution and distribution version is not officially supported! Error on line 55. Will exit

Makefile:47: recipe for target 'install' failed

make: *** [install] Error 1

(base) root@kt:~/workspace/ncsdk/ncsdk-2.10.01.01# 

BRs,

ideallyworld​

Sahira_Intel
Moderator
160 Views

Hi ideallyworld,

 

The NCSDK has not been validated to run on Ubuntu 18.04. Please install on a system running Ubuntu 16.04 and try again. Please let me know if the installation was successful.

 

Best Regards,

Sahira

Reply